<?php
/**
 *
 *   Copyright © 2010-2023 by xhost.ch GmbH
 *
 *   All rights reserved.
 *
 **/
$this->pageTitle=Yii::app()->name . ' - '.Yii::t('mc', 'Multicraft FTP Client');
$this->breadcrumbs=array(
    $server->name=>array('/server/view', 'id'=>$server->id),
    Yii::t('mc', 'FTP')=>array('index', 'id'=>$server->id),
    Yii::t('mc', 'Files'),
);

Yii::app()->getClientScript()->registerCoreScript('jquery');
Yii::app()->getClientScript()->registerScriptFile(Yii::app()->baseUrl.'/js/jquery-ui.min.js');
Yii::app()->getClientScript()->registerScriptFile(Yii::app()->baseUrl.'/js/jquery.iframe-transport.min.js');
Yii::app()->getClientScript()->registerScriptFile(Yii::app()->baseUrl.'/js/jquery.fileupload.min.js');
Yii::app()->getClientScript()->registerScriptFile(Yii::app()->baseUrl.'/js/ftp.min.js');

$this->menu = array(
    array('label'=>Yii::t('mc', 'New Directory'), 'url'=>'#', 'linkOptions'=>array('onclick'=>'newDirectory(); return false'), 'icon'=>'ftp/folder'),
    array('label'=>Yii::t('mc', 'New File'), 'url'=>'#', 'linkOptions'=>array('onclick'=>'newFile(); return false'), 'icon'=>'ftp/file'),
    array('label'=>Yii::t('mc', 'Upload'), 'url'=>'#', 'linkOptions'=>array('onclick'=>'$("#file_upload").click(); return false'), 'icon'=>'update'),
    array('label'=>Yii::t('mc', 'Back'), 'url'=>array('server/view', 'id'=>$server->id), 'icon'=>'back'),
);

$t = array(
    'move'=>Yii::t('mc', 'Move "{name}" to "{target}"?'),
    'move_x'=>Yii::t('mc', 'Move these {n} items to "{target}"?'),
    'upload_done'=>Yii::t('mc', 'Finished uploading "{name}"'),
    'upload_done_x'=>Yii::t('mc', 'Finished uploading {n} files'),
    'upload_limit'=>Yii::t('mc', 'File "{name}" is too big'),
    'upload'=>Yii::t('mc', 'Upload "{name}" to "{target}"?'),
    'upload_x'=>Yii::t('mc', 'Upload {n} files to "{target}"?'),
    'uploading'=>Yii::t('mc', 'Uploading...'),
    'delete'=>Yii::t('mc', 'Delete "{name}"?'),
    'delete_x'=>Yii::t('mc', 'Delete these {n} items?'),
    'rename'=>Yii::t('mc', 'Rename "{name}" to:'),
    'no_files'=>Yii::t('mc', '{action}: No files/directories selected'),
    'copy'=>Yii::t('mc', 'Copy "{name}" to "{target}"?'),
    'copy_x'=>Yii::t('mc', 'Copy these {n} items to "{target}"?'),
    'zip'=>Yii::t('mc', 'Zip "{name}" to:'),
    'zip_x'=>Yii::t('mc', 'Zip these {n} items to:'),
    'no_zip'=>Yii::t('mc', 'Only .zip files can be selected'),
    'unzip'=>Yii::t('mc', 'Unzip "{name}" to "{target}"?'),
    'unzip_x'=>Yii::t('mc', 'Unzip these {n} zip files to "{target}"?'),
    'new_dir'=>Yii::t('mc', 'Enter new directory name:'),
    'new_file'=>Yii::t('mc', 'Enter new file name:'),
    'failed'=>Yii::t('mc', 'Request failed: {reason}'),
    'action_move'=>Yii::t('mc', 'Move'),
    'action_copy'=>Yii::t('mc', 'Copy'),
    'action_delete'=>Yii::t('mc', 'Delete'),
    'action_zip'=>Yii::t('mc', 'Zip'),
    'action_unzip'=>Yii::t('mc', 'Unzip'),
    'sending'=>Yii::t('mc', 'Sending command...'),
);

?>
<script type="text/javascript">
/*<![CDATA[*/
init(
    <?php echo CJSON::encode($t) ?>,
    <?php echo $this->js($path) ?>,
    <?php echo (int)$this->uploadLimit() ?>,
    <?php echo (int)@ini_get('max_file_uploads') ?>,
    <?php $limit = (int)@Yii::app()->params['ftp_client_max_concurrent']; echo ($limit ? (int)$limit : 2) ?>,
    <?php echo (int)$server->id ?>,
    <?php echo $this->js(Yii::app()->request->csrfTokenName) ?>,
    <?php echo $this->js(Yii::app()->request->csrfToken) ?>,
    <?php echo $this->js($this->createUrl('ftpClient/files', array('id'=>$server->id, 'path'=>''))) ?>,
    <?php echo $this->js($this->createUrl('ftpClient/files', array('id'=>$server->id, 'inline'=>true, 'path'=>''))) ?>,
    <?php echo $this->js($this->createUrl('ftpClient/|', array('id'=>$server->id, 'path'=>''))) ?>.split("|")
);
$(function() {
    if (typeof $('#target-select-modal').modal != 'function')
        alert('This theme is not compatible with the new FTP client.');
});
/*]]>*/
</script>

<?php echo CHtml::beginForm('', 'post', array('name'=>'filesForm', 'id'=>'filesForm')) ?>
<div class="row">
    <div class="col-md-8">
        <div class="input-group">
            <div id="nav-path" class="form-control">
            </div>
        </div>
    </div>
    <div class="col-md-3">
        <div id="ftp-status"></div><div id="ftp-status-cancel"><?php echo CHtml::link('&times;', '#', array('alt'=>Yii::t('mc', 'Cancel'), 'class'=>'close', 'onclick'=>'location.reload(true); return false;')) ?></div>
    </div>
    <div class="col-md-1">
        <div class="dropdown pull-right float-right">
        <button class="btn btn-default dropdown-toggle" href="#" type="button" id="actionsDropdownLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <?php echo Yii::t('mc', 'Actions') ?>
            <span class="caret"></span>
        </button>

        <ul class="dropdown-menu" aria-labelledby="actionsDropdownLink">
            <li><?php echo CHtml::link(Yii::t('mc', 'Move'), '#', array('class'=>'dropdown-item', 'onclick'=>'moveSelected(); return false')) ?></li>
            <li><?php echo CHtml::link(Yii::t('mc', 'Copy'), '#', array('class'=>'dropdown-item', 'onclick'=>'copySelected(); return false')) ?></li>
            <li><?php echo CHtml::link(Yii::t('mc', 'Delete'), '#', array('class'=>'dropdown-item', 'onclick'=>'deleteSelected(); return false')) ?></li>
            <li><?php echo CHtml::link(Yii::t('mc', 'Zip'), '#', array('class'=>'dropdown-item', 'onclick'=>'zipSelected(); return false')) ?></li>
            <li><?php echo CHtml::link(Yii::t('mc', 'Unzip'), '#', array('class'=>'dropdown-item', 'onclick'=>'unzipSelected(); return false')) ?></li>
        </ul>
        </div>
    </div>
</div>

<!-- Modal -->
<div class="modal fade" id="target-select-modal" tabindex="-1" role="dialog" aria-labelledby="target-select-modal-title" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="target-select-modal-title"><?php echo Yii::t('mc', 'Select Target Directory') ?></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Cancel">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body" id="target-select-modal-body">
        ...
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal"><?php echo Yii::t('mc', 'Cancel') ?></button>
        <button type="button" class="btn btn-primary" id="target-select-button"><?php echo Yii::t('mc', 'Select') ?></button>
      </div>
    </div>
  </div>
</div>

<div id="ftp-table-container">
<table id="ftp-table" class="table table-striped table-hover" data-sortidx="2" data-sortdir="true">
<thead>
<tr>
    <th style="width: 20px;"><input type="checkbox" id="check-all" /></th>
    <th width="20"><?php echo CHtml::fileField('file_upload[]', '', array('style'=>'display: none', 'multiple'=>'multiple')) ?></td>
    <th class="sortable"><?php echo Yii::t('mc', 'Name') ?></th>
    <th width="100" class="sortable"><?php echo Yii::t('mc', 'Size') ?></th>
    <th width="150" class="sortable"><?php echo Yii::t('mc', 'Changed') ?></th>
    <th width=50></td>
</tr>
</thead>
<tbody>
<?php echo $this->renderPartial('filesList', array('server'=>$server, 'path'=>$path, 'files'=>$files)); ?>
</tbody>
</table>
<div id="ftp-table-overlay">
</div>
</div>

<?php echo CHtml::endForm() ?>
