<?php
/**
 *
 *   Copyright © 2010-2023 by xhost.ch GmbH
 *
 *   All rights reserved.
 *
 **/
?>

<?php if (strlen((string)$path) > 1): ?>
<tr class="ftp-table-row">
    <td>
        <?php echo CHtml::hiddenField('uprow', 'directory') ?>
    </td>
    <td>
        <?php echo Theme::icon('ftp/folder') ?>
    </td>
    <td>
    <?php
        $fp = $this->up($path);
        echo CHtml::link(Yii::t('mc', 'Up'), array('files', 'id'=>$server->id, 'path'=>$fp), array('onclick'=>'chdir('.$this->js($fp).', true); return false'));
    ?>
    </td>
    <td></td>
    <td></td>
    <td></td>
</tr>
<?php endif ?>
<?php 
$i = 0;
foreach($files as $file): ?>
<tr class="ftp-table-row">
    <td>
    <?php
        echo CHtml::checkbox('files['.$i.'][checked]', false, array('value'=>$file['name']));
        echo CHtml::hiddenField('files['.$i.'][type]', $file['type']);
    ?>
    </td>
    <td>
        <?php echo Theme::icon('ftp/'.$this->getIcon($file)) ?>
    </td>
    <td data-sort="<?php echo CHtml::encode($file['type'][0].$file['name']) ?>">
        <?php 
            $opts = array('class'=>'file-link');
            $fp = $this->path($path, $file['name']);
            if ($file['type'] == 'directory')
                $opts['onclick'] = 'chdir('.$this->js($fp).', true); return false';
            else if (!$this->canDownload($file['size']))
                $opts['onclick'] = 'alert(t("upload_limit", {name: '.$this->js($file['name']).'})); return false';
            echo CHtml::link(CHtml::encode($file['name']), array('ftpClient/'.($file['type'] == 'directory' ? 'files' : 'download'), 'id'=>$server->id, 'path'=>$fp), $opts)
        ?>
    </td>
    <td data-sort="<?php echo $file['size'] ?>"><?php echo $this->formatBytes($file['size']) ?></td>
    <td data-sort="<?php echo $file['time'] ?>">
        <?php echo date('M d '.($file['inYear'] ? 'H:i' : 'Y'), $file['time']) ?>
    </td>
    <td>
        <div class="dropdown" style="text-align: center">
        <a class="dropdown-link" href="#" role="button" style="display: block; width: 100%" data-toggle="dropdown" data-display="static" aria-haspopup="true" aria-expanded="false">
            <i class="fas fa-ellipsis-v"></i>
        </a>
        <ul class="dropdown-menu">
        <?php if ($file['type'] == 'file' && $this->canEdit($file['size'])): ?>
            <li><?php echo CHtml::link(Yii::t('mc', 'View'), array('view', 'id'=>$server->id, 'path'=>$path, 'file'=>$file['name']), array('class'=>'dropdown-item')) ?></li>
            <li><?php echo CHtml::link(Yii::t('mc', 'Edit'), array('edit', 'id'=>$server->id, 'path'=>$path, 'file'=>$file['name']), array('class'=>'dropdown-item')) ?></li>
        <?php endif ?>
            <li><?php echo CHtml::link(Yii::t('mc', 'Rename'), '#', array('class'=>'dropdown-item', 'onclick'=>'renameOne(this); return false')) ?></li>
            <li><?php echo CHtml::link(Yii::t('mc', 'Delete'), '#', array('class'=>'dropdown-item', 'onclick'=>'deleteOne(this); return false')) ?></li>
        </ul>
        </div>
    </td>
</tr>
<?php endforeach; ?>
