<?php
/**
 *
 *   Copyright © 2010-2023 by xhost.ch GmbH
 *
 *   All rights reserved.
 *
 **/
$this->pageTitle=Yii::app()->name . ' - '.Yii::t('mc', 'Multicraft FTP Client');
$this->breadcrumbs=array(
    $server->name=>array('/server/view', 'id'=>$server->id),
    Yii::t('mc', 'FTP')=>array('files', 'id'=>$server->id),
    Yii::t('mc', 'Files')=>array('ftpClient/files', 'id'=>$server->id, 'path'=>$path),
    $file,
);
Yii::app()->getClientScript()->registerScriptFile(Yii::app()->baseUrl.'/js/ftp-edit.js');

$this->menu = array(
    array('label'=>Yii::t('mc', 'Back'), 'url'=>array('ftpClient/files', 'id'=>$server->id, 'path'=>$path), 'icon'=>'back'),
);

if (!$error)
{
    $len = strlen((string)$content);
    $content = CHtml::encode($content);
    if ($len && !strlen((string)$content))
        $error = Yii::t('mc', 'Cannot view or edit binary files');
}
if ($error): ?>
    <div class="flash-error"><?php echo $error ?></div>
<?php endif ?>

<div class="row">
    <div class="col-md-8">
        <div class="input-group">
            <div class="form-control">
                <?php echo $this->fileNavPath($server, $path, $file) ?>
            </div>
        </div>
    </div>
    <div class="col-md-3">
    </div>
    <div class="col-md-1 text-right">
    </div>
</div>

<table class="table table-striped">
<tr>
    <td>
        <p>
            <textarea id="ftpEditNumbers" class="form-control" wrap='off' readonly>1.</textarea>
            <textarea rows="30" readonly="readonly" id="ftpEdit" wrap="off" name="content" class="form-control"><?php
                echo $content;
            ?></textarea>
        </p>
    </td>
</tr>
</table>

<?php echo CHtml::endForm() ?>
