<?php
/**
 *
 *   Copyright © 2010-2023 by xhost.ch GmbH
 *
 *   All rights reserved.
 *
 **/
$this->pageTitle=Yii::app()->name . ' - '.Yii::t('mc', 'Login');
$this->breadcrumbs=array(
    Yii::t('mc', 'Login'),
);
?>

<?php if (!Yii::app()->params['register_disabled']): ?>
<p><?php echo CHtml::link(Yii::t('mc', 'Register here'), array('site/register')) ?> <?php echo Yii::t('mc', 'if you don\'t have an account yet.') ?></p>
<?php endif ?>

<?php if (Yii::app()->user->hasFlash('login')): ?>
<div class="flash-success">
    <?php echo Yii::app()->user->getFlash('login'); ?>
</div>
<?php endif ?>

<?php if (Yii::app()->params['demo_mode'] != 'enabled'): ?>

<div class="form">
<?php $form=$this->beginWidget('CActiveForm', array(
    'id'=>'login-form',
    'enableAjaxValidation'=>false,
    'focus'=>array($model, strlen((string)$model->name) ? 'password' : 'name'),
)); ?>

    <div class="form-group">
        <?php echo $form->labelEx($model,'name'); ?>
        <?php echo $form->textField($model,'name'); ?>
        <?php echo $form->error($model,'name'); ?>
    </div>

    <div class="form-group">
        <?php echo $form->labelEx($model,'password'); ?>
        <?php echo $form->passwordField($model,'password'); ?>
        <?php echo $form->error($model,'password'); ?>
    </div>

    <?php if ($model->gauthEnabled()): ?>
    <?php
        if (strlen((string)$model->password))
            $form->focus = array($model, 'gauthCode');
    ?>
        <div class="form-group">
            <?php echo $form->labelEx($model,'gauthCode'); ?>
            <?php echo $form->passwordField($model,'gauthCode'); ?>
            <?php echo $form->error($model,'gauthCode'); ?>
        </div>
    <?php endif ?>

    <div class="row rememberMe">
    <div class="col-lg-6 form-group">
        <?php echo $form->checkBox($model,'rememberMe'); ?>
        <?php echo $form->label($model,'rememberMe'); ?>
        <?php echo $form->error($model,'rememberMe'); ?>
        <?php if (Yii::app()->params['reset_token_hours'] > 0): ?>
        <br/>
        <?php echo CHtml::link(Yii::t('mc', 'Forgot password?'), array('site/requestResetPw'), array('style'=>'font-size: 11px')); ?>
        <?php endif ?>
    </div>

    <div class="col-lg-6 form-group">
        <?php echo $form->checkBox($model,'ignoreIp'); ?>
        <?php echo $form->label($model,'ignoreIp'); ?>
        <?php echo $form->error($model,'ignoreIp'); ?>
    </div>
    </div>

    <?php echo CHtml::submitButton(Yii::t('mc', 'Login')); ?>

<?php $this->endWidget(); ?>
</div><!-- form -->

<?php else: ?>
<h1 class="display-4"><?php echo Yii::t('mc', 'Demo mode') ?></h1>

<div class="container">
    <div class="row mb-4">
        <div class="col">
            <?php echo CHtml::beginForm(); ?>
            <?php echo CHtml::hiddenField('LoginForm[name]', 'admin'); ?>
            <?php echo CHtml::hiddenField('LoginForm[password]', 'admin'); ?>
            <?php echo CHtml::submitButton(Yii::t('mc', 'Log me in as Administrator'), array('class' => 'btn btn-primary mb-2')); ?>
            <?php echo CHtml::endForm(); ?>
            <div>
                <?php echo Yii::t('mc', 'Create servers and users, full control over all servers and panel functions.') ?>
            </div>
        </div>
    </div>

    <div class="row mb-4">
        <div class="col">
            <?php echo CHtml::beginForm(); ?>
            <?php echo CHtml::hiddenField('LoginForm[name]', 'owner'); ?>
            <?php echo CHtml::hiddenField('LoginForm[password]', 'owner'); ?>
            <?php echo CHtml::submitButton(Yii::t('mc', 'Log me in as Server Owner'), array('class' => 'btn btn-primary mb-2')); ?>
            <?php echo CHtml::endForm(); ?>
            <div>
                <?php echo Yii::t('mc', 'Edit server settings, assign permissions, define commands, and much more.') ?>
            </div>
        </div>
    </div>

    <div class="row mb-4">
        <div class="col">
            <?php echo CHtml::beginForm(); ?>
            <?php echo CHtml::hiddenField('LoginForm[name]', 'user'); ?>
            <?php echo CHtml::hiddenField('LoginForm[password]', 'user'); ?>
            <?php echo CHtml::submitButton(Yii::t('mc', 'Log me in as normal User'), array('class' => 'btn btn-primary mb-2')); ?>
            <?php echo CHtml::endForm(); ?>
            <div>
                <?php echo Yii::t('mc', 'View public server information, edit and control assigned players') ?>
            </div>
        </div>
    </div>
</div>

<div class="flash-notice mt-4">
    <strong><?php echo Yii::t('mc', 'Note') ?></strong><br/>
    <?php echo Yii::t('mc', 'In Demo Mode, servers are inactive and can\'t be stopped or restarted.') ?>
</div>

<?php endif ?>
