@echo off
setlocal EnableDelayedExpansion

set PYTHON_PATH="%MULTICRAFT_DIR%\..\python\python.exe"

"%PYTHON_PATH%" --version >nul 2>nul
if %ERRORLEVEL% neq 0 (
    echo The modpack installer needs Python but it is not installed or not working correctly
    exit /b 1
)

if not exist "%SERVER_DIR%\.multicraft_modpack" mkdir "%SERVER_DIR%\.multicraft_modpack"
cd /d "%SERVER_DIR%\.multicraft_modpack"

echo Downloading latest Modpack Installer
PowerShell -Command Invoke-WebRequest -Uri "https://plugins.multicraft.org/api/v2/tools/modpack_installer" -OutFile "%cd%\modpack_installer" -Method Get -Body @{ data = Get-Content -Path "params" -Raw }
PowerShell -Command Invoke-WebRequest -Uri "https://plugins.multicraft.org/api/v2/tools/modpack_installer_checksum" -OutFile "%cd%\modpack_installer_checksum"

set /p expected_checksum=<modpack_installer_checksum

for /f "usebackq delims=" %%h in (`certutil -hashfile modpack_installer SHA256 ^| find /v ":"`) do (
    set "actual_checksum=%%h"
)
set "actual_checksum=%actual_checksum: =%"

if not "%expected_checksum%"=="%actual_checksum%" (
    echo Failed to verify modpack installer checksum. The file may be corrupted. >&2
    exit /b 1
)

echo Running Modpack Installer
call "%PYTHON_PATH%" -X utf8 modpack_installer
